import {  myFetch } from "../utils/fetch";
import { httpApi } from "@/common/js/baseUrl";
import zlbApi from "@/api/zlbApi";
// 家庭成员列表查询 '/doorplateFamilyMember/getDoorplateFamilyMemberList'
export function getFamilyMemberList(data) {
  const url = zlbApi.getDoorplateFamilyMemberList; // '/doorplateFamilyMember/getDoorplateFamilyMemberList'
  return myFetch(url, "post", data, "json");
}

// 获取单个成员详情数据 '/doorplateFamilyMember/getOneById'
export function getFamilyMemberDetail(data) {
  const url = zlbApi.doorplateFamilyMemberGetOneById; // '/doorplateFamilyMember/getOneById'
  return myFetch(url, "post", data, "json");
}

// 添加家庭成员 '/doorplateFamilyMember/add'
export function addFamilyMember(data) {
  const url = zlbApi.doorplateFamilyMemberAdd; // '/doorplateFamilyMember/add'
  return myFetch(url, "post", data, "json");
}

// 编辑家庭成员 '/doorplateFamilyMember/editById'
export function updateFamilyMember(data) {
  const url = zlbApi.doorplateFamilyMemberEditById; // '/doorplateFamilyMember/editById'
  return myFetch(url, "post", data, "json");
}

// 删除家庭成员 '/doorplateFamilyMember/deleteById'
export function deleteFamilyMember(data) {
  const url = zlbApi.doorplateFamilyMemberDeleteById; // '/doorplateFamilyMember/deleteById'
  return myFetch(url, "post", data, "json");
}
